FROM node:16-alpine3.11
RUN echo fs.inotify.max_user_watches=524288 | tee -a /etc/sysctl.conf
WORKDIR /usr/src/app
COPY app/mailer_api/package.json ./package.json
COPY app/mailer_api/package-lock.json ./package-lock.json
RUN npm install
COPY app/mailer_api .
COPY app/common_libs/ ./common_libs/
EXPOSE 3000
CMD ["node", "serv.js"]